## slugimage 0.0+r104

=== Makefile ===
all:	slugimage
	@true

test:
	cd tests && ./runtests

clean:
	rm -rf tests/files tests/*/*.output

## slugimage 0.1%2B20160202.fe8b64a

=== debian/control ===
Source: slugimage
Section: admin
Priority: extra
Build-Depends: debhelper (>= 10), bsdmainutils
Maintainer: Marc Singer <elf@debian.org>
Uploaders: Martin Michlmayr <tbm@cyrius.com>
Standards-Version: 4.0.0
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/slugimage/trunk/
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/slugimage/trunk
Homepage: https://github.com/nslu2-linux/SlugImage

Package: slugimage
Architecture: all
Recommends: devio
Suggests: upslug2
Conflicts: nslu2-utils (<< 0.10+r58-2)
Replaces: nslu2-utils (<< 0.10+r58-2)
Depends: ${misc:Depends}
Description: NSLU2 firmware image manipulation utility
 This is the slugimage program, which can be used to manipulate
 NSLU2 firmware images.

## slugimage 0.1+20160202.fe8b64a

=== debian/changelog ===
slugimage (1:0.1+20160202.fe8b64a-1) unstable; urgency=low

  * Add Vcs-Browser field.
  * Use debhelper 9.
  * Increase Standards-Version to 3.9.6.
  * Use 3.0 (quilt) format.
  * Remove Rod Whitby from Uploaders.
  * Update debian/rules get-orig-source to fetch from GitHub.
  * Update to git 2016-02-02 (fe8b64a):
    - Use tempfile from File::Temp (Closes: #809292)

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 03 Feb 2016 18:29:45 -0800

slugimage (1:0.0+r104-5) unstable; urgency=low

  * Adoption by Marc Singer.

 --  <elf@buici.com>  Tue, 03 Jun 2008 20:20:26 -0700

slugimage (1:0.0+r104-4) UNRELEASED; urgency=low

  * Use debhelper v7; rules file minimisation.

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Apr 2008 02:41:48 -0400

slugimage (1:0.0+r104-3) unstable; urgency=low

  * Build-Depend on bsdmainutils, for hexdump, which is used in the test
    suite. Closes: #451462

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Nov 2007 21:23:32 -0500

slugimage (1:0.0+r104-2) unstable; urgency=low

  * Add an epoch as the version number scheme has changed.

 -- Joey Hess <joeyh@debian.org>  Wed, 07 Nov 2007 13:26:37 -0500

slugimage (0.0+r104-1) unstable; urgency=low

  * Split out from nslu2-utils.
  * New upstream version SVN r104.
  * Add get-orig-source target.
  * Include test suite, run during build.

 -- Joey Hess <joeyh@debian.org>  Fri, 28 Sep 2007 19:59:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: slugimage
 Section: admin
 Priority: extra
-Build-Depends: debhelper (>= 10), bsdmainutils
+Build-Depends: debhelper (>= 9), bsdmainutils
 Maintainer: Marc Singer <elf@debian.org>
 Uploaders: Martin Michlmayr <tbm@cyrius.com>
-Standards-Version: 4.0.0
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/slugimage/trunk/
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/slugimage/trunk
-Homepage: https://github.com/nslu2-linux/SlugImage
 
 Package: slugimage
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# There's no upstream tarball, so get one out of svn.
get-orig-source:
	mkdir tmp
	git clone https://github.com/nslu2-linux/SlugImage tmp/slugimage
	cd tmp && tar --exclude .git -czf ../slugimage_0.1+`cd slugimage; git log -n 1 --pretty=format:"%cd.%h" --date short | sed -e 's/-//g'`.orig.tar.gz slugimage
	rm -rf tmp

%:
	dh $@
